.container {
  max-height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  margin-top: 45px;
}

.grid-wrapper {
  overflow-y: auto;
  height: 100%;
  padding-bottom: 60px;
}
.example-sidenav {
  width: 500px;
  background-color: var(--dark-secondary);
  border-top: 1px solid var(--dark-foreground-secondary-light);
  padding: 0 2rem;
}

@media (max-width: 600px) {
  .example-sidenav {
    width: 80%;
  }
}

.example-sidenav .mat-drawer-inner-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.song-grid {
  display: grid;
  padding: 0;
  gap: 0.5rem;
  grid-template-columns: repeat(auto-fit, minmax(16rem, 1fr));
}

.search-wrapper {
  display: flex;
  flex-direction: row;
  width: 100%;
  padding: 1rem 0;
}
.search-bar-wrapper {
  flex: 1;
}
.details-wrapper {
  align-self: start;
  color: var(--text-secondary);
  margin-top: 2rem;
}
.actions {
  display: flex;
  justify-content: flex-end;
  gap: 10px;
}
.action-icon {
  color: var(--text-disabled);
}
.action-icon:hover {
  color: var(--color-fourth);
  cursor: pointer;
}
.details-header {
  color: var(--color-fifth);
}
